Subject: bug#58956: mark_object, mark_objects(?) crash

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Nov 2022 21:58:26 +0200

> Date: Sun, 6 Nov 2022 11:44:43 -0800
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2022-11-06 11:32, Eli Zaretskii wrote:
> > My question was whether in this scenario, since the parent Emacs
> > exits, the child Emacs can get SIGHUP, simply because its parent
> > exited and the read end of the PTY no longer exists.
> 
> Yes, my sense from the few experiments I tried, is that it's a plausible 
> scenario, though I never observed it actually happening for Emacs doing 
> a subprocess compile.

OK, thanks.  So I hope your suggested patch will solve this issue.